﻿<%@ Page Language="C#" %>
<%@ OutputCache Duration="10" VaryByParam="none" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    
    
    /*
     Guidelines (From Essential ASP.NET by Fritz Onion
     * 
     * 1.  Enable on Pages frequently accessed, always returning same content.
     * 2.  Cache as few Versions of Page as possible
     * 3.  Use Fragrements when possible (user controls)
     * 4.  Verify all browsers work correctly (need to cache per browser)
     * 5.  Maintain Consistency, don't cache too long.
     */
    

    protected void Page_Load(object sender, EventArgs e)
    {
        LabelNow.Text = DateTime.Now.ToString();
        
        if (Request.QueryString["id"] != null)
        {
            LabelRequestParam1.Text = Request.QueryString["id"];  
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Output Cache Sample</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Label ID="LabelNow" runat="server" Text="Label"></asp:Label>
        <br />
        <asp:Label ID="LabelRequestParam1" runat="server" Text=""></asp:Label>
        <br />
        <asp:Button ID="Button1" runat="server" Text="Refresh Page"></asp:Button>
    </div>
    </form>
</body>
</html>
