﻿<%@ Page Language="C#" %>
<%@ OutputCache Duration="10" VaryByParam="none" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        LabelNow.Text = DateTime.Now.ToString();
        
        if (Request.QueryString["id"] != null)
        {
            LabelRequestParam1.Text = Request.QueryString["id"].ToString();  
        }
    }

    static string GetCurrentDate(HttpContext context)
    {
        return DateTime.Now.ToString();
    }

    
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Output Cache Sample</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Label ID="LabelNow" runat="server" Text="Label"></asp:Label>
        <br />
        <asp:Label ID="LabelRequestParam1" runat="server" Text=""></asp:Label>
        <br />
        
         Real Time: <% Response.WriteSubstitution(new HttpResponseSubstitutionCallback(GetCurrentDate)); %>
        <br />
        <asp:Button ID="Button1" runat="server" Text="Refresh Page"></asp:Button>
    </div>
    </form>
</body>
</html>
